org.apache.jmeter.samplers

## Interface SampleMonitor

- All Known Implementing Classes:
    SampleTimeout

      public interface SampleMonitor

  Allows notification just before and just after a sample is invoked. Intended for the SampleTimeout test element

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sampleEnded(Sampler sampler)` Will be called when a sample has just finished
    `void` | `sampleStarting(Sampler sampler)` Will be called when a sample is about to start

- - ### Method Detail

    - #### sampleStarting

          void sampleStarting(Sampler sampler)

      Will be called when a sample is about to start
      Parameters:
        `sampler` - sample that will be started

    - #### sampleEnded

          void sampleEnded(Sampler sampler)

      Will be called when a sample has just finished
      Parameters:
        `sampler` - finished sample

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.